RHEL 7/8:OpenShift Container Platform 4.7.13パッケージおよび(RHSA-2021:2122)

high Nessus プラグイン ID 165147

概要

リモートの Red Hat ホストに、1 つ以上のセキュリティ更新プログラムがありません。

説明

リモートのRedhat Enterprise Linux 7/8ホストにインストールされているパッケージは、RHSA-2021:2122 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- golang: ReverseProxyを含む特定のnet/httpサーバーでのデータ競合がDoSにつながる可能性があります(CVE-2020-15586)

- golang:ReadUvarintおよびReadVarintは、無効な入力から無制限にバイト数を読み取る可能性があります(CVE-2020-16845)

- jenkins-2-plugins/config-file-provider: XMLパーサーが、XML外部エンティティ(XXE)攻撃を防止するように設定していません。(CVE-2021-21642)

- jenkins-2-plugins/config-file-provider: 複数のHTTPエンドポイントで権限チェックを適切に実行しません。(CVE-2021-21643)

- jenkins-2-plugins/config-file-provider: HTTPエンドポイントに対してPOSTリクエストを必要としないため、クロスサイトリクエスト偽造(CSRF)の脆弱性が発生します。(CVE-2021-21644)

- jenkins-2-plugins/config-file-provider: 複数のHTTPエンドポイントで権限チェックを適切に実行しません。
(CVE-2021-21645)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

参考資料

http://www.nessus.org/u?65563ca8

https://access.redhat.com/security/updates/classification/#important

https://access.redhat.com/errata/RHSA-2021:2122

https://bugzilla.redhat.com/show_bug.cgi?id=1856953

https://bugzilla.redhat.com/show_bug.cgi?id=1867099

https://bugzilla.redhat.com/show_bug.cgi?id=1952146

https://bugzilla.redhat.com/show_bug.cgi?id=1952148

https://bugzilla.redhat.com/show_bug.cgi?id=1952151

https://bugzilla.redhat.com/show_bug.cgi?id=1952152

https://bugzilla.redhat.com/show_bug.cgi?id=1964770

プラグインの詳細

深刻度: High

ID: 165147

ファイル名: redhat-RHSA-2021-2122.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2022/9/15

更新日: 2024/4/28

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 5.2

CVSS v2

リスクファクター: Medium

基本値: 5.8

現状値: 4.3

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

CVSS スコアのソース: CVE-2021-21644

CVSS v3

リスクファクター: High

基本値: 8.1

現状値: 7.1

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

CVSS スコアのソース: CVE-2021-21642

脆弱性情報

CPE: cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:8, p-cpe:/a:redhat:enterprise_linux:cri-o, p-cpe:/a:redhat:enterprise_linux:cri-tools, p-cpe:/a:redhat:enterprise_linux:jenkins-2-plugins, p-cpe:/a:redhat:enterprise_linux:redhat-release-coreos

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/6/1

脆弱性公開日: 2020/7/17

参照情報

CVE: CVE-2020-15586, CVE-2020-16845, CVE-2021-21642, CVE-2021-21643, CVE-2021-21644, CVE-2021-21645

CWE: 281, 352, 362, 611, 835

RHSA: 2021:2122